Index: guiframe/local_perspectives/plotting/AnnulusSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 14d3495be0486d8ffff89e46835b940ed6a9f7f1)
+++ guiframe/local_perspectives/plotting/AnnulusSlicer.py	(revision 1ce365f8bcc12f88abb04b1431cd75f0e21984fd)
@@ -52,10 +52,10 @@
         
         # Bind to slice parameter events
-        self.base.parent.Bind(EVT_SLICER_PARS, self._onEVT_SLICER_PARS)
+        self.base.Bind(EVT_SLICER_PARS, self._onEVT_SLICER_PARS)
         
         
 
     def _onEVT_SLICER_PARS(self, event):
-        wx.PostEvent(self.base.parent, StatusEvent(status="AnnulusSlicer._onEVT_SLICER_PARS"))
+        wx.PostEvent(self.base, StatusEvent(status="AnnulusSlicer._onEVT_SLICER_PARS"))
         event.Skip()
         if event.type == self.__class__.__name__:
@@ -123,8 +123,9 @@
                    math.fabs(self.outer_circle.get_radius()))
         print "rmin, rmax", rmin, rmax
-       
-        sect = SectorPhi(r_min=rmin , r_max= rmax, phi_min=0, phi_max=2*math.pi)
-        if nbins!=None:
-            sect.nbins = nbins
+        if nbins==None:
+            nbins = 20
+        sect = SectorPhi(r_min=rmin , r_max= rmax,
+                          phi_min=0, phi_max=2*math.pi , nbins=nbins)
+        
         
         sector = sect(self.base.data2D)
Index: guiframe/local_perspectives/plotting/Plotter2D.py
===================================================================
--- guiframe/local_perspectives/plotting/Plotter2D.py	(revision 9a585d01f17990dcd3d4cedb59a1a9708cbe22fd)
+++ guiframe/local_perspectives/plotting/Plotter2D.py	(revision 1ce365f8bcc12f88abb04b1431cd75f0e21984fd)
@@ -190,4 +190,8 @@
         wx.EVT_MENU(self, id, self.onPrint)
         
+        id = wx.NewId()
+        slicerpop.Append(id,'&Image Preview', 'image preview for print')
+        wx.EVT_MENU(self, id, self.onPrinterPreview)
+        
         slicerpop.AppendSeparator()
         item_list = self.parent.get_context_menu(self.graph)
@@ -248,7 +252,5 @@
         wx.EVT_MENU(self, id, self.onPrinterSetup)
         
-        id = wx.NewId()
-        slicerpop.Append(id,'&Printer Preview', 'Set image size')
-        wx.EVT_MENU(self, id, self.onPrinterPreview)
+       
         """
         id = wx.NewId()
Index: guiframe/local_perspectives/plotting/SectorSlicer.py
===================================================================
--- guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 31e329881803fc57d83f7fc9695b1ce818c73617)
+++ guiframe/local_perspectives/plotting/SectorSlicer.py	(revision 1ce365f8bcc12f88abb04b1431cd75f0e21984fd)
@@ -63,9 +63,10 @@
         
         # Bind to slice parameter events
-        self.base.parent.Bind(EVT_SLICER_PARS, self._onEVT_SLICER_PARS)
-
+        #self.base.parent.Bind(EVT_SLICER_PARS, self._onEVT_SLICER_PARS)
+        self.base.Bind(EVT_SLICER_PARS, self._onEVT_SLICER_PARS)
 
     def _onEVT_SLICER_PARS(self, event):
-        wx.PostEvent(self.base.parent, StatusEvent(status="SectorSlicer._onEVT_SLICER_PARS"))
+        #wx.PostEvent(self.base.parent, StatusEvent(status="SectorSlicer._onEVT_SLICER_PARS"))
+        wx.PostEvent(self.base, StatusEvent(status="SectorSlicer._onEVT_SLICER_PARS"))
         event.Skip()
         if event.type == self.__class__.__name__:
@@ -162,8 +163,9 @@
         #print "sector Q angles=",phimin*180/math.pi,phimax*180/math.pi,self.main_line.theta*180/math.pi
         #phi must be 0 to 2pi with cut-off line sts on the left.
-        sect = SectorQ(r_min=0.0, r_max= radius , phi_min=phimin+math.pi, phi_max=phimax+math.pi)
+        if nbins==None:
+            nbins = 20
+        sect = SectorQ(r_min=0.0, r_max= radius , phi_min=phimin+math.pi, phi_max=phimax+math.pi, nbins=nbins)
         #sect = SectorQ(r_min=-1*radius , r_max= radius , phi_min=phimin, phi_max=phimax)
-        if nbins!=None:
-            sect.nbins = nbins
+        
         
         sector = sect(self.base.data2D)
Index: guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- guiframe/local_perspectives/plotting/boxSum.py	(revision ea290ee35505f59531dd4dc23044ff4f9e506b89)
+++ guiframe/local_perspectives/plotting/boxSum.py	(revision 1ce365f8bcc12f88abb04b1431cd75f0e21984fd)
@@ -77,5 +77,5 @@
         self.panel_name= name
     def _onEVT_SLICER_PARS(self, event):
-        #printEVT("AnnulusSlicer._onEVT_SLICER_PARS")
+        wx.PostEvent(self.base, StatusEvent(status="Boxsum._onEVT_SLICER_PARS"))
         event.Skip()
         if event.type == self.__class__.__name__:
@@ -108,5 +108,5 @@
         
         #self.base.connect.disconnect()
-        self.base.parent.Unbind(SlicerParameters.EVT_SLICER_PARS)
+        #self.base.parent.Unbind(SlicerParameters.EVT_SLICER_PARS)
         
     def update(self):
